%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:             hibernate-jpa-2.0-api
Version:          1.0.1
Release:          %mkrel 1
Summary:          Java Persistence 2.0 (JSR 317) API
Group:            Development/Java
License:          BSD
Url:              http://www.hibernate.org/
# svn export http://anonsvn.jboss.org/repos/hibernate/jpa-api/tags/hibernate-jpa-2.0-api-1.0.1.Final
# tar czf hibernate-jpa-2.0-api-1.0.1.Final-src-svn.tar.gz hibernate-jpa-2.0-api-1.0.1.Final
Source0:          hibernate-jpa-2.0-api-1.0.1.Final-src-svn.tar.gz
# remove wagon-webdav extension
Patch0:           hibernate-jpa-2.0-api-1.0.1.Final-pom_xml.patch
BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
Requires:         java
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
BuildArch:        noarch

%description
Hibernate definition of the Java Persistence 2.0 (JSR 317) API.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
Hibernate JPA 2.0 API.

This package contains javadoc for %{name}

%prep
%setup -q -n %setup -q -n %{name}-%{namedversion}
%patch0 -p0

%build
mvn-rpmbuild -e \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/hibernate
install -pm 644 target/hibernate-jpa-2.0-api-%{namedversion}.jar \
	%{buildroot}%{_javadir}/hibernate/hibernate-jpa-2.0-api.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.hibernate-hibernate-jpa-2.0-api.pom
%add_to_maven_depmap org.hibernate.javax.persistence hibernate-jpa-2.0-api %{namedversion} JPP/hibernate hibernate-jpa-2.0-api

mkdir -p %{buildroot}%{_javadocdir}/hibernate-jpa-2.0-api
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/hibernate-jpa-2.0-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/hibernate/hibernate-jpa-2.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt readme.txt

%files javadoc
%{_javadocdir}/hibernate-jpa-2.0-api



%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 131946
- Fix groups
- Remove changelog

  + gil <gil>
    - fedora JBoss Packaging Effort
    - imported package hibernate-jpa-2.0-api


* Mon Jul 11 2011 gil <gil> 1.0.1-0.%%mkrel
- initial rpm
